incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrea Pescetti <pesce...@openoffice.org>
Subject Re: 3.4 release plan
Date Fri, 30 Dec 2011 21:23:07 GMT
Rob Weir wrote:
> OK.  So are 3.3.0 users getting error messages today because that
> service is down?  Or is the problem only that pre-3.3.0 users are not
> getting update notifications telling them about the 3.3.0 release?

Both, but all users who are on 3.3.0 (the vast majority) get an error 
message similar to "Could not establish Internet connection to 
update36.services.openoffice.org" as TJ wrote. If you open a search 
engine that autocompletes queries, writing "update3" will give you a 
nice list of popular queries for this problem, referencing different 
servers.

> I'd argue that if 3.3.0 users are getting error messages today, then
> it might be a good idea to set up the update notification server now

They are getting the error message, and indeed the sooner it is fixed 
the better, even though the moment when this becomes quite embarrassing 
is when Apache OpenOffice 3.4 is out and OpenOffice.org 3.3.0 users are 
shown an error message on trying to know whether updates are available.

> Is this the protocol that we are using:
> http://wiki.services.openoffice.org/wiki/Update_Notification_Protocol
> ?

Not sure. The wiki page seems to concern a proposed protocol upgrade, it 
might be that the current one is simpler. The address is set here:
http://svn.apache.org/viewvc/incubator/ooo/trunk/main/instsetoo_native/util/openoffice.lst?view=markup
(search for UPDATEURL, set to update38.services.openoffice.org)
but I don't know where the code uses it. And I don't know whether the 
neon library removal affects the client side of this service or not.

Regards,
   Andrea.

Mime
View raw message